<?php

    include("../../classes/database.class.php");
    include("../../classes/modoPagamentoModel.class.php");
    include("../../classes/modoPagamentoController.class.php");

    $nome = $_POST["nome"];
    $mecanismoPagamento = $_POST["mecanismoPagamento"];
    $nota = $_POST["nota"];

    if($nome == ""){
        $nome = null;
    }
    if($mecanismoPagamento == ""){
        $mecanismoPagamento = null;
    }
    if($nota == ""){
        $nota = null;
    }

    $modelo = new ModoPagamentoController($nome, $mecanismoPagamento, $nota);
    $id = $modelo->createModoPagamento();
    echo $id;